<!DOCTYPE html>
{% load static %}

<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>COUT  EDITIQUE</title>
	   <link href="{% static 'css/bootstrap.min.css' %}" >
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="icon" type="image/png" href= "{% static 'images/logo.png' %}" alt="Logo AssurOne"/>
        <style>
form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 5px;
}

.form-group {
    margin-bottom: 10px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}
input[type="date"],
input[type="text"],
input[type="number"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

input[type="submit"] {
    padding: 10px;
    border: none;
    background-color: #007bff;
    color: #fff;
    cursor: pointer;
    border-radius: 3px;
    float: inline-end;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}
</style>
</head>

<body>

<h1>Couts  <code>Editique</code></h1>

{% include 'menu.html' %}

<form method="post" onsubmit="return validerFormulaire()">{% csrf_token %}
    <div class="form-group">
            <label>Designation :</label>
            <input type="text" id="Designation" name="Designation" required>
        </div>

        <div class="form-group">
            <label for="DateFacturation">DateFacturation :</label>
            <input type="date" id="DateFacturation" name="DateFacturation" required>
        </div>

        <div class="form-group">
            <label >Quantite :</label>
            <input type="number" name="Quantite" required>
        </div>

        <div class="form-group">
            <label >PoidsU :</label>
            <input type="number" step="0.01"  name="PoidsU" required >
        </div>

        <div class="form-group">
            <label>TotalTTC :</label>
            <input type="number" step="0.01" name="TotalTTC" required>
        </div>

    <label >partenaires_Nom :</label><br>
     <select name="partenaires_Nom" style = "padding: 10px;">
         {% for key in ids %}
             <option value="{{key}}">{{key}}</option>
        {% endfor %}
         </select >

    <label >Type :</label><br>
     <select name="Type" style = "padding: 10px;">
         {% for key in types %}
             <option value="{{key}}">{{key}}</option>
        {% endfor %}
         </select >
        <div class="form-group">
            <input type="submit" value="Envoyer" name="envoyer">
        </div>
    </form>

<script>
function validerFormulaire() {
  var nom = document.getElementById("date").value;
  if (nom === "") {
    alert("Veuillez remplir la Date");
    return false;
  }
  return true;
}
</script>
</body>
</html>